2026-06-30  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  3.24.5

2025-09-22  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Use SPDX expression for license

  This is the recommended format.
  See https://gitlab.freedesktop.org/cairo/cairomm/-/merge_requests/33
  
  * meson.build: Set the license to the GNU Free Documentation License,
    which is what COPYING and index-in.docbook say.

2025-09-22  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Use the Python installation that Meson uses

  See glibmm!67

2025-05-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Remove obsolete FSF (Free Software Foundation) address in example programs

2025-05-21  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add the "GNU Free Documentation License" appendix

  and update COPYING and COPYING.examples.

2025-03-12  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Chapter 3. Basics: Use consistent file name

  Replace simple.cc by base.cc. That's what the file is called
  in examples/book/base.
  Fixes #29

2025-03-12  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Remove ChangeLog.pre-3-8-0

2025-02-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Don't use alias_target() when the examples can't be built

  alias_target() requires at least one dependency.

2025-02-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Update "The .hg and .ccg files" section

  Describe the declaration-prefix argument in the _CLASS_* macros.
  Describe the the gtype_func and the decl_prefix arguments in _WRAP_ENUM
  and _WRAP_GERROR.

2025-02-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Use alias_target() for the "examples" target

2025-02-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Add install_tag keyword argument, require meson >= 0.60

2025-01-30  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Copy stylesheet, figures and icons to the build directory

  The html files can then be viewed correctly formatted without installing.

2025-01-30  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Require meson version >= 0.58

  Remove the can_add_dist_script variable.

2025-01-21  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  CI: gtkmm-4.0 -> gtkmm-3.0

2025-01-21  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  CI: Add .gitlab-ci.yml

  Necessary when making a release.
  See https://handbook.gnome.org/maintainers/making-a-release.html

2025-01-21  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  sl.po: Remove an extraneous line

2024-12-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Replace gtkmm.org by gtkmm.gnome.org

2024-07-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Don't refer to developer.gnome.org

  Require python3 >= 3.7. That's what Meson requires.

2024-06-28  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Remove links to developer.gnome.org

  * README.md: Link to gnome.pages.gitlab.gnome.org/gtkmm-documentation
  instead of developer-old.gnome.org.
  * docs/tutorial/C/index-in.docbook: Link to gnome.pages.gitlab.gnome.org
  instead of developer.gnome.org. Add the "Prefer gtkmm4 to gtkmm3" section.

2024-05-31  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Remove links to developer-old.gnome.org

  glib-compile-resources, Glade and jhbuild are not described there nowadays.
  Fixes #21

2024-05-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Avoid <programlisting> elements within <para> elements

  In some situations the translation tools (itstool and friends)
  can't create translated index.docbook files if a <programlisting> element
  occurs in a <para> element. See !11
  
  A <programlisting> in a <para> can behave differently depending on which
  version of libxml2 is used. (itstool calls functions in libxml2.)
  Don't put any <programlisting> in a <para>.

2024-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  3.24.4

2023-12-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Don't fail if warning_level=everything

2023-07-12  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Remove AUTHORS and add general information to README.md

  See gtkmm#140

2023-07-12  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Update gtkmm-documentation.doap

2023-06-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  README.md: meson -> meson setup

2023-06-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  treeview/editable_cells example: A small fix

2023-01-21  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  book/iconview example: Catch exceptions from Gdk::Pixbuf

2023-01-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Simplify lookup of python command

  See libsigcplusplus PR#83

2022-12-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Update the others/window example

2022-12-22  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  3.24.3

2022-10-24  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Update the "Contributing" chapter

  Change gtkmm-list to Discourse.
  The gtkmm-list will soon be closed for new contributions.

2022-09-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Convert README to README.md

2022-07-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Update links to gtk and glib documentation

  Other changes:
  Recommend that jhbuild's 'buildroot' configuration variable is set.
  Mention glibmm's enumextract.py as an alternative to enum.pl.

2022-05-22  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Avoid configuration warnings

2022-05-05  Bernhard M. Wiedemann  <bwiedemann@suse.de>

  Sort input file list

  so that `gtkmm-tutorial/index.docbook` builds in a reproducible way
  in spite of indeterministic filesystem readdir order
  and http://bugs.python.org/issue30461
  
  This PR was done while working on reproducible builds for openSUSE.

2022-03-23  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Update README

2022-03-23  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  3.24.2

2022-02-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  "The .hg and .ccg files" section: Describe 'ignore_deprecations'

  ignore_deprecations is a new optional argument in _WRAP_METHOD().

2022-02-23  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Add allow-network-access option

  If false, xmllint and xsltproc are not allowed to fetch files
  over the network, and gtkmm-documentation requires the docbook5-xml
  and docbook-xsl packages (Ubuntu names, can have other names in
  other distros).

2022-02-22  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Don't use gnome.yelp()

  In Meson >= 0.61.0, gnome.yelp() can't be used on a generated
  XML file. See https://github.com/mesonbuild/meson/issues/10017

2022-02-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Specify 'check' option in run_command()

  The default value will be changed in future Meson releases.
  
  Don't use deprecated python3.path() and execute(..., gui_app: ...).
  Let import('python').find_installation() always find the python
  installation used to run Meson.

2021-10-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  index-in.docbook: Recommend Meson instead of Autotools

  Modify
    2.2 "Installation", "Unix and Linux"
    3.2 "Basics", "Headers and Linking"
    27.1 "Internationalization and Localization", "Preparing your project"
    30 "Recommended Techniques"
  Describe building with Meson more, and building with Autotools less.

2021-09-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  docs/tutorial, Meson config: Check if xmllint can be used

2021-09-23  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Upgrade from DocBook 4.5 to DocBook 5.0

2021-09-23  DarkTrick  <notebook22312@gmail.com>

  PO-files: added: why `fuzzy` tag appears.

2021-07-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Python scripts: Specify file encoding

  The default file encoding is platform dependent in Python.
  Better specify encoding when text files are read or written.

2021-05-06  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Subprojects can use meson.add_dist_script() if meson.version() >= 0.58.0

  * meson.build: Call add_dist_script() in a subproject, if
  meson.version() >= 0.58.0.
  * tools/meson_aux/extra-dist-cmd.py: Use MESON_PROJECT_DIST_ROOT if it
  exists, else MESON_DIST_ROOT. It exists if meson.version() >= 0.58.0.

2021-03-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  index-in.docbook: Update the link to the DTD file

  Fixes #14

2020-12-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Don't require gtkmm unconditionally

  Require gtkmm and giomm only if build-examples=true
  or a tarball is being built.

2020-12-23  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Update the Working with gtkmm's Source Code appendix

  Remove a dead link. Update some jhbuild info. Mention gnome-build-meta.

2020-12-14  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  3.24.1

2020-12-14  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Refer to README files for building with Meson

  and suggest filing GitLab issues and merge requests.

2020-10-22  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Autotools build: Distribute docs/tutorial/insert_example_code.py

  Should have been done when Meson build dropped the dependence on Perl.

2020-10-22  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Update the "gtkmm and Win32" appendix

  Links in the patch added by Kjell Ahlstedt.
  Fixes #4

2020-09-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Drop dependence on Perl

  * tools/tutorial/insert_example_code.py: New Python file, equivalent to
  the insert_example_code.pl Perl file.
  
  The Perl file is still used when building with Autotools.

2020-09-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Exclude some git-tracked files from tarballs

  and use 'with' in Python code when files are opened.

2020-08-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Describe how to build a multi-threaded program

  Fixes #12

2020-08-06  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  input example: Don't include build/config.h

  The configuration with Autotools or Meson sets the compiler
  option -DDONT_HAVE_MKFIFO=1, if mkfifo() does not exist.
  Meson does not create build/config.h.
  This makes life easier for those who build with their own
  Makefile or CMake file or whatever.
  Fixes #11

2020-07-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Describe how the mm-common/skeletonmm project is built with Meson

  Appendix G. Wrapping C Libraries with gmmproc: Describe how the
  skeletonmm project is built with Meson (was Autotools).

2020-03-31  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Set default value of the 'warnings' option to 'min'

  And add 'dist-warnings' with default value 'fatal'. It's used when a
  tarball is tested by 'ninja dist' or 'meson dist'.

2020-03-24  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Link to glibmm 2.64

2020-02-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  examples/meson.build: Don't use the bash command

  The bash command may not be available, e.g. in Windows.
  Use python instead of bash in 'ninja examples'.

2020-01-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add examples/book/treeview/custom_treemodel

  See https://mail.gnome.org/archives/gtkmm-list/2019-December/msg00014.html
  Fixes #9 (Danny van Elsen)

2020-01-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Change git.gnome.org to gitlab.gnome.org

  * docs/tutorial/C/index-in.docbook: Change URLs.
  * docs/tutorial/insert_example_code.pl: Don't add url_examples_branchsuffix.
  The branch is not a suffix in gitlab, it's included in url_examples_base.

2019-11-25  Daniel Boles  <dboles.src@gmail.com>

  book/menus/popup/examplewindow: new => unique_ptr

  https://gitlab.gnome.org/GNOME/gtkmm-documentation/merge_requests/7#note_655543

2019-11-25  Daniel Boles  <dboles.src@gmail.com>

  Redo odd wording @ RadioBut.set_group(get_group())

  constness isn't the issue here; rather it is the value class of the
  argument of set_group(). That method needs an lvalue reference as it
  modifies the Group by adding the RadioButton to it. That's why we can't
  `rb2.set_group( rb1.get_group() )`. But we can store the Group returned
  by get_group() in a variable and then pass that to set_group() calls.
  Not that there is much reason to, given join_group(), but it works fine.
  
  Then I got carried away and added a program listing showing it
  working... which, while mostly superfluous, does provide a nice
  opportunity to explain briefly that RadioButtonGroup is a handle type,
  meaning that it can be declared automatically and discarded by RAII
  without worrying about thusly releasing the RadioButtons from itself.
  That then informs readers for the next example that creates a new Group.
  
  This is the first use of either "lvalue" or "rvalue" in the docbook!
  That's either a good thing or a slippery, slippery slope to start on...
  
  https://gitlab.gnome.org/GNOME/gtkmm-documentation/merge_requests/6

2019-11-25  Daniel Boles  <dboles.src@gmail.com>

  Drop pointless/confusing class around RadioButtons

  The 2nd example seems to have been trying to be like the 1st, which put
  the 3 RadioButtons in a subclass of Window, for no real reason since
  they were never then added to said Window... but the 2nd omitted to
  declare its members and instead declared new local variables in the
  constructor with m_ prefixes, which were managed unlike the 1st example!
  
  Just drop all of that. There's no clear reason to use a containing class
  here. By not doing so, we can present both examples in a comparable way.
  
  https://gitlab.gnome.org/GNOME/gtkmm-documentation/merge_requests/6

2019-11-25  Daniel Boles  <dboles.src@gmail.com>

  docb: Don't recommend `new` for an in-class member

  Instead, recommend an std::unique_ptr, which will destroy it via RAII,
  rather than requiring that the user remember to `delete` it and have to
  define a non-trivial destructor just to do that, which is just busywork.
  
  https://gitlab.gnome.org/GNOME/gtkmm-documentation/merge_requests/7

2019-11-25  Daniel Boles  <dboles.src@gmail.com>

  Builder: Using derived widgets: Update for glibmm…

  …2.62, which as of Kjell’s simply epic recent commits, now supports us
  setting custom properties of gtkmm-derived widgets in .ui files for
  Builder. Also, slightly elaborate the bit about why you would want to!
  
  I also be optimistic here and presume that such properties could be made
  editable in Glade by using a custom catalog and property classes,
  though my Glade-fu is weak, so I can only hope I'm inferring that right.
  
  https://gitlab.gnome.org/GNOME/gtkmm-documentation/merge_requests/5

2019-11-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Make conversions between std::string and Glib::ustring explicit

2019-10-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  docs/tutorial/insert_example_code.pl: Add an error message

  Print a message to stderr when a file can't be opened.

2019-10-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  examples/book/buildapp/step1/install-cmd.py: Minor improvement

2019-10-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  examples/book/buildapp: exampleapp.desktop -> exampleapp.desktop.in

  step1/exampleapp.desktop was renamed to exampleapp.desktop.in in the
  previous commit, but the filename was not changed everywhere.

2019-10-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Makefile.am: Distribute files needed when building with Meson

2019-10-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  examples/book/buildapp: Replace shell script with Python script

2019-10-02  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  tools/meson_aux: Replace shell scripts with Python scripts

  Python scripts can be used on all operating systems where Meson
  can be used. Shell scripts are restricted to Unix-like systems.

2019-09-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Gtk::Builder chapter: Describe combination with Glib::Property

2019-09-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  builder/derived example: Show Gtk::Builder combined with Glib::Property

  Add a DerivedButton that contains Glib::Property members.

2019-09-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Application example: Use Gio::Application::add_option_group()

  * examples/book/application/command_line_handling/exampleapplication.[cc|h]:
  Add some options that demonstrate the use of
  Gio::Application::add_option_group().
  
  See issue glibmm#46

2019-09-03  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Several minor improvements

  Use the / operator instead of join_paths().
  Directory paths for installation are relative to {prefix} instead of absolute.
  Don't call meson.add_dist_script(), if it's a subproject.
  Use MESON_DIST_ROOT in extra-dist-cmd.sh.

2019-08-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  tools/meson_aux: Use short options for some commands

  Posix does not support long options for the cp, rm and mkdir commands.
  See mm-common!1

2019-08-15  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Shell scripts: Don't hard-code the path of bash

  bash isn't always installed in /bin. Scripts which don't require bash
  to work are converted to use sh, while scripts requiring bash features
  are changed to use PATH to find bash.
  
  See the mm-common!1 MR.

2019-06-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: *_DISABLED_DEPRECATED -> *_DISABLE_DEPRECATED

2019-05-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  README files: meson is the recommended build system

  * examples/book/buildapp/README:
  * README: meson, not autotools, is now the recommended build system.

2019-05-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add meson.build files and auxiliary scripts for meson builds

  New files copied from git's master branch and modified where necessary.
  See the README file for instructions how to use it.

2019-05-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Remove obsolete and redundant README and TODO files

2019-04-14  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  buildapp examples: Add meson.build files

  * examples/book/buildapp/README: Describe how to build with meson and ninja.
  * examples/book/buildapp/step1/install-cmd.sh:
  * examples/book/buildapp/step[1-9]/meson.build: New files

2019-03-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  custom_widget example: Use Glib::ExtraClassInit

  Add MyExtraInit that calls gtk_widget_class_set_css_name() in the class init
  function and calls gtk_widget_set_has_window() in the instance init function.
  See glibmm#33

2018-11-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  3.24.0

2018-11-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Require gtkmm-3.0 >= 3.24.0 and link to gtkmm 3.24

2018-11-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Replace most Gtk::manage() calls with Gtk::make_managed()

2018-11-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Create only .tar.xz tarballs

  * configure.ac: This is what ftp.gnome.org wants, so this avoids
  it doing any repackaging. This is what gtkmm does.

2018-11-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Avoid '<' and '>' in code snippets in the docbook file

  Use &lt; and &gt; except in CDATA sections.

2018-11-07  Daniel Boles  <dboles.src@gmail.com>

  Document the new make_managed() & prefer to use it

  This performs creation and manage()ment in a single step and therefore
  avoids the user having to write the discouraged new operator, looks more
  like Standard C++ things like make_shared(), etc. So, move our examples
  to it, and elaborate on why it is preferable to manage() or new/delete.
  
  https://gitlab.gnome.org/GNOME/gtkmm/issues/33

2018-11-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add Gtk::FileChooserNative example

  Bug 783801

2018-11-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  3.22.1

2018-11-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Link to glibmm 2.58

  It's the latest glibmm version in the glibmm-2.4 ABI series.
  This ABI series is compatible with gtkmm3.

2018-10-27  Daniel Boles  <dboles.src@gmail.com>

  Clarify that user sometimes must delete if managed

  container.ccg remembers whether the object was originally un-floated by
  Gtk::manage() and, if so, restores that state during Container.remove(),
  with the result that the removed widget is *not* deleted, as it would be
  in GTK+, but instead it is re-floated and requires the user to deal with
  (e.g. to add it to some other container or to finally call delete on it)
  
  This is documented in container.hg but nowhere that I can see in our
  tutorial, and I think it is worth mentioning here, since it is not
  completely intuitive: users might otherwise think that the fact manage()
  delegates lifetime management to the Container means they get back the
  same behaviour of C widgets, i.e. that remove() would cause destruction,
  but of course that is not the case, and we might thus encourage leaks.
  
  So mention that manage() only relieves the user of the burden of calling
  delete if they add the widget to a parent and do not remove it later, in
  both the Memory Management section and the part about deleting wrappers.

2018-10-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  configure.ac: Update bug report address

2018-05-31  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Fix a broken link to www.gtkmm.org

  Fixes #2

2018-01-15  Daniel Boles  <dboles.src@gmail.com>

  Fix typo in my recent ColumnRecord commit

  Thanks to Kjell for pointing this out.
  
  https://bugzilla.gnome.org/show_bug.cgi?id=792482#c10

2018-01-14  Daniel Boles  <dboles.src@gmail.com>

  Fix 2 typos of slot_callbback => slot_callback

2018-01-14  Daniel Boles  <dboles.src@gmail.com>

  Don’t write main() without a return type

  Yikes! That’s not C++.

2018-01-14  Daniel Boles  <dboles.src@gmail.com>

  Clarify: ColumnRecords can be static *singletons*

  Sharing these between models is highly desirable as it can avoid a lot
  of work and waste. So, take the para warning about not making static
  ColumnRecords, and reword it to explain why you probably wanted a static
  one and what the real solution is.
  
  https://bugzilla.gnome.org/show_bug.cgi?id=792482

2017-12-28  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Don't use the deprecated Gdk::screen_width() and screen_height()

2017-11-15  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Clarify when the user shall delete the wrap() result

  There are situations when the user is responsible for deleting
  the wrap() result. Bug 788646

2017-11-15  Daniel Boles  <dboles.src@gmail.com>

  Mixing C & C++: Clarify ownership of wrap() result

  Make it clear that wrap() returns a pointer to an instance owned by
  glibmm, so users should not try to delete it. Also mention the effect on
  refcount, i.e. nothing if (!take_copy). Finally, show the C++ instance
  actually being used (though a better example would show more advantage).
  
  While here, I split the long paragraphs for readability & to help git, &
  add some missing <classname>/<function> tags for readability/semantics.
  
  https://bugzilla.gnome.org/show_bug.cgi?id=788646

2017-11-01  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Fix buildapp/Makefile.am and buildapp/README

  * examples/book/buildapp/Makefile.am: Fix the build of resources.c in
  steps 8 and 9.
  * examples/book/buildapp/README: Describe how to make the application
  find the saved preferences.

2017-02-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Headers and Linking section: Replace broken link

  Replace the link to Openismus with links to GNU's documentation of
  autoconf and automake. Bug 777879

2016-11-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  3.22.0

2016-11-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Link to gtkmm 3.22 and glibmm 2.50

  In preparation for future releases that will be compatible with the
  ABI-breaking gtkmm-4.0 and glibmm-2.52, let the links from the generated
  html files point to gtkmm 3.22 and glibmm 2.50 instead of the usual latest
  unstable documentation and git's master branch. Bug 773642 comment 4.

2016-11-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Replace Menu::popup() by Menu::popup_at_pointer()

  * examples/book/menus/popup/examplewindow.cc:
  * examples/book/treeview/popup/treeview_withpopup.cc: Replace the deprecated
  Menu::popup() by the new Menu::popup_at_pointer().
  * examples/others/cellrenderercustom/cellrenderertoggle.cc: Don't use an
  anonymous namespace. gcc 6.2.0 reports errors because there are unused
  functions. (I don't want to remove them. I suppose someone has planned to
  use them some time.)

2016-10-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Build app example: Use Gio::Settings::bind(key, property_proxy, flags)

  * docs/tutorial/C/index-in.docbook:
  * examples/book/buildapp/step5/exampleappprefs.cc:
  * examples/book/buildapp/step[5-9]/exampleappwindow.cc:
  Use Gio::Settings::bind(key, property_proxy, flags) instead of
  Gio::Settings::bind(key, object, property_name, flags). Better compile-time
  checking and no need for the ugly tag.operator->(). Bug #772391

2016-10-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add last part of "Building applications" chapter with example code

  * docs/tutorial/C/index-in.docbook: Add sections 7-9 of the "Building
  applications" chapter. It's a C++/gtkmm version of a chapter in the gtk+
  documentation.
  * docs/tutorial/C/figures/buildapp_*.png: 3 new files. Update the old files.
  * docs/tutorial/Makefile.am: Add new image files.
  * examples/book/buildapp/.gitignore: Ignore gschemas.compiled.
  * examples/book/buildapp/Makefile.am: Add files in step[7-9].
  * examples/book/buildapp/step[7-9]: New directories with many new files.
  Bug #772391

2016-10-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add another part of "Building applications" chapter with example code

  * docs/tutorial/C/index-in.docbook: Add sections 4-6 of the "Building
  applications" chapter. It's a C++/gtkmm version of a chapter in the gtk+
  documentation.
  * docs/tutorial/C/figures/buildapp_*.png: 3 new files.
  * docs/tutorial/Makefile.am: Add new image files.
  * configure.ac: Add GLIB_GSETTINGS.
  * examples/Makefile.am: Don't distribute resources.c files.
  * examples/book/buildapp/Makefile.am: Add files in step[4-6].
  * examples/book/buildapp/step[1-2]/Makefile.example: Improved
  * examples/book/buildapp/step[4-6]: New directories with many new files.
  Bug #772391

2016-10-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add examples/book/buildapp/.gitignore

  Should have been included in the previous commit.

2016-10-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add part of "Building applications" chapter with example code

  * docs/tutorial/C/index-in.docbook: Add the first 3 sections of the "Building
  applications" chapter. It's a C++/gtkmm version of a chapter in the gtk+
  documentation.
  * docs/tutorial/C/figures/buildapp_*.png: New files.
  * docs/tutorial/Makefile.am: Add new image files.
  * configure.ac: Add examples/book/buildapp/Makefile.
  * examples/Makefile.am: Call Makefile in the book/buildapp directory.
  * examples/book/buildapp/*: New directory with many new files.
  Bug #772391

2016-08-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Remove build/ax_cxx_compile_stdcxx.m4

  It is not used. gtkmm-documentation uses mm-ax_cxx_compile_stdcxx.m4, copied
  from mm-common.

2016-08-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  RadioButton section: Describe Gtk::RadioButton::join_group()

  * docs/tutorial/C/index-in.docbook: RadioButton section: Describe join_group().
  * examples/book/buttons/radiobutton/radiobuttons.cc:
  * examples/book/keyboard_events/simple/examplewindow.cc: Use join_group().
  Bug #769374

2016-07-26  Murray Cumming  <murrayc@murrayc.com>

  Fix the build.

2016-07-26  Murray Cumming  <murrayc@murrayc.com>

  C++14: Use std::make_unique<>().

2016-07-26  Murray Cumming  <murrayc@murrayc.com>

  Require C++14.

  So we can use some nicer features in our example code.

2016-07-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Mention that Gtk::Action is deprecated

  * docs/tutorial/C/index-in.docbook: Mention that Gtk::ActionGroup,
  Gtk::*Action, Gtk::UIManager and Gtk::Activatable are now deprecated.

2016-07-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  AboutDialog example: Add a logotype

  * docs/tutorial/C/index-in.docbook: Add aboutdialog.gresource.xml to the
  listed source code files.
  * examples/.gitignore: Ignore book/dialogs/aboutdialog/resources.c.
  * examples/Makefile.am: Make a resource file for the AboutDialog example.
  * examples/book/dialogs/aboutdialog/examplewindow.cc: Add a logotype to
  the dialog.
  * examples/book/dialogs/aboutdialog/aboutdialog.gresource.xml: New file.
  * examples/book/dialogs/aboutdialog/gtkmm_logo.gif: New file. Copied from
  gtkmm/docs/images/gtkmm_logo.gif.

2016-07-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Build: Fix silent builds

  * configure.ac: Pass yes to AM_SILENT_RULES, thus enabling silent builds.
  Replace MM_AX_CXX_COMPILE_STDCXX_11 by MM_AX_CXX_COMPILE_STDCXX (not necessary
  for silent builds). Bug #768797

2016-06-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add the ListModel example

  * examples/MakeFile.am: Add book/listmodel.
  * examples/book/listmodel/main.cc:
  * examples/book/listmodel/examplewindow.[h|cc]:
  * examples/book/listmodel/myobject.[h|cc]: New files.
  This example is similar to gtk+/tests/listmodel.c. Bug #755149

2016-06-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  _CUSTOM_WRAP_FUNCTION and _NO_WRAP_FUNCTION in _CLASS_GTKOBJECT

  _CUSTOM_WRAP_FUNCTION and _NO_WRAP_FUNCTION can now be used also in
  a _CLASS_GTKOBJECT. Add that info to "The .hg and .ccg files" section.
  Bug #767951

2016-06-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Printing examples: Add missing menu items and toolbar

  Before GtkUIManager was deprecated, the printing/simple and printing/advanced
  examples had a toolbar and more menu items. Add them again.
  Make main.cc and examplewindow.[h|cc] identical in these two examples.

2016-06-17  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  printing/advanced example: Don't use deprecated methods

  Replace calls to Gdk::Window::create_cairo_context() by Gdk::Window::
  begin_draw_frame() and Gdk::DrawingContext::get_cairo_context().

2016-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Move the description of _CUSTOM_MOVE_OPERATIONS

  Move the description of this gmmproc macro to the "Macros that suppress
  generation of some code" section, and make it similar to the other
  descriptions there.

2016-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Describe the optional err_return_value argument in _WRAP_VFUNC

2016-05-30  Murray Cumming  <murrayc@murrayc.com>

  Small const improvement.

2016-05-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Use the pan-[up,down,start,end]-symbolic icons

  * examples/others/arrow/arrow.cc: Use pan-[up,down,start,end]-symbolic
  * examples/others/cellrenderercustom/popupentry.cc: Use pan-down-symbolic
  These icons have been around for about two years now. They should be
  available in most systems.

2016-05-16  Murray Cumming  <murrayc@murrayc.com>

  calendar: Don't use deprecated font: CSS syntax.

2016-05-16  Murray Cumming  <murrayc@murrayc.com>

  Don't crash when showing GtkCssProvider errors.

2016-05-16  Murray Cumming  <murrayc@murrayc.com>

  Remove trailing whitespace.

2016-04-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Document 'deprecated' option in _WRAP_ENUM and _WRAP_GERROR

  Document all options in _WRAP_ENUM and _WRAP_GERROR, including the new
  deprecated option.

2016-04-01  Marcin Kolny  <marcin.kolny@gmail.com>

  Add description of _CUSTOM_MOVE_OPERATIONS macro

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

  3.20

2016-03-18  Murray Cumming  <murrayc@murrayc.com>

  Add parentheses to silence clang-tidy.

2016-03-06  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  ProgressBar example: Fix the type of a data member

  * examples/book/progressbar/examplewindow.[h|cc]:
  Replace int m_connection_id_timeout by sigc::connection m_connection_timeout.
  The compiler did not notice this bug until sigc::connection::operator bool()
  was made explicit.

2016-02-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Custom widget and ListBox examples: Update use of CSS files

  * examples/book/custom/custom_widget/custom_gtk.css: Use widget instance name
  instead of class name.
  * examples/book/custom/custom_widget/mywidget.cc: Call Gtk::Widget::set_name().
  Explain the alternative names for use in the CSS file.
  CSS node names are introduced in gtk+ 3.19. They largely replace the class
  names in CSS files.
  * examples/book/listbox/examplewindow.[cc|h]: Remove the CSS data. Gtk+ now
  has reasonable style sheets for GtkListBoxRow.

2016-02-05  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add "String Parameter Processing" section

  Describe {NULL} and {!NULL}, and how the code generated by _WRAP_METHOD()
  handles empty strings.

2016-01-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Builder chapter: Describe additional parameters to get_widget_derived()

  Bug #134161

2016-01-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  builder/derived example: Add constructor with additional parameter

  * examples/book/builder/derived/deriveddialog.[h|cc]:
  * examples/book/builder/derived/main.cc: Add a constructor with an additional
  parameter to DerivedDialog, and call it from Builder::get_widget_derived()
  with an additional argument. Possible when get_widget_derived() is a
  variadic template. Bug #134161.

2016-01-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Custom widget example: Avoid some warnings

  When drawing the foreground, get the color for the current widget state.
  Trying to get the color for another state triggers a warning from
  gtk_style_context_get_property().

2016-01-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Update the Internationalization chapter

  Replace the deprecated AM_GLIB_GNU_GETTEXT macro by AM_GNU_GETTEXT in
  a code snippet. Show an example of an autogen.sh file. Bug #701908.

2015-12-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  cellrendererpopup example: Don't use deprecated methods

  * examples/others/cellrendererpopup.cc: Use the new Gdk::Seat::grab() instead
  of the deprecated Gdk::Device::grab().

2015-12-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Use nullptr instead of 0

2015-11-30  Murray Cumming  <murrayc@murrayc.com>

  3.19.3

2015-11-30  Murray Cumming  <murrayc@murrayc.com>

  Require the latest gtkmm and glibmm.

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

  Add an override keyword

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

  Multi-threaded chapter: Remove warnings about sigc::slots and Glib::Threads::Thread.

  Because people would use regular lambdas or std::function functors with
  std::thread in C++11.
  
  Also, change the mention of Glib::Thread::Mutex to std::mutex.
  
  Bug #755091

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

  multithread example: Use std::thread, etc, instead of Glib::Threads::*.

  Because C++11 now has this concurrency API and we should use standard
  C++ where possible. We cannot actually deprecate Glib::Threads until
  a future (soon) gtkmm when we can depend on C++14:
  https://mail.gnome.org/archives/gtkmm-list/2015-August/msg00070.html
  Bug #755091

2015-11-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Document _CUSTOM_* gmmproc macros

2015-10-28  Murray Cumming  <murrayc@murrayc.com>

  Remove unnecessary virtual keywords

2015-10-28  Murray Cumming  <murrayc@murrayc.com>

  C++11: Use the override keyword.

2015-09-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Input example: Fix high CPU load

  * examples/book/input/main.cc: Open the fifo in read/write mode, or else
  the program unnecessarily uses a lot of CPU time.

2015-09-10  Murray Cumming  <murrayc@murrayc.com>

  combobox/complex example: Show use of a cell_data_func().

2015-09-09  Murray Cumming  <murrayc@murrayc.com>

  command_line_handling: handle_local_options(): Correct the return values.

  Since glib bug #750796 was fixed, we really need to return a negative
  value to keep the program running. Returning EXIT_SUCCESS or EXIT_FAILURE
  stops the program.
  Add a --version option as an example of when we might want to stop
  with EXIT_SUCCESS, and add validation for --goo="ungoo" as an example of
  when we might want to stop with EXIT_FAILURE. Otherwise, we return -1
  to keep going.
  Bug #754763

2015-09-09  Murray Cumming  <murrayc@murrayc.com>

  command_line_handling example: on_command_line(): Correct a return code.

  Don't return EXIT_FAILURE for what seems like a success.

2015-09-09  Murray Cumming  <murrayc@murrayc.com>

  Tiny whitespace correction.

2015-08-24  Murray Cumming  <murrayc@murrayc.com>

  Consistent spacing with lambdas.

2015-08-24  Murray Cumming  <murrayc@murrayc.com>

  Update NEWS for next release.

  To mention a commit that got in before I remembered to push the
  release commit (again).

2015-08-24  Murray Cumming  <murrayc@murrayc.com>

  3.17.50

2015-08-23  Murray Cumming  <murrayc@murrayc.com>

  C++11: More use of auto.

2015-08-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Replace deprecated std::auto_ptr by std::unique_ptr

2015-07-23  Murray Cumming  <murrayc@murrayc.com>

  C++11: Use lambdas for simple callbacks given to set_*_func() methods.

2015-07-23  Murray Cumming  <murrayc@murrayc.com>

  Remove unnecessary virtual keywords.

2015-07-23  Murray Cumming  <murrayc@murrayc.com>

  C++11: Use the override keyword.

  This showed that some custom cellrenderers in others/ have
  gtkmm2-style vfuncs that are not actually overriding anything any more.
  They need to be ported properly to gtkmm3 still.

2015-07-22  Murray Cumming  <murrayc@murrayc.com>

  C++11: Use of nullptr.

2015-07-22  Murray Cumming  <murrayc@murrayc.com>

  C++11: Use of range-based for loops.

  At least to replace uses of non-const iterators.

2015-07-21  Murray Cumming  <murrayc@murrayc.com>

  configure.ac: Use other warnings that glibmm uses.

  For --enable-warnings=fatal. No code changes were necessary.

2015-07-21  Murray Cumming  <murrayc@murrayc.com>

  Use -Wshadow with --enable-warnings=fatal.

  And fix the source code to build like this.

2015-07-21  Murray Cumming  <murrayc@murrayc.com>

  Examples: placessidebar: Remove use of set_show_connect_to_server().

  Because it has been deprecated without replacement (and without
  explanation):
  https://developer.gnome.org/gtk3/unstable/GtkPlacesSidebar.html#gtk-places-sidebar-set-show-connect-to-server

2015-07-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Require C++11

  * configure.ac: Use MM_AX_CXX_COMPILE_STDCXX_11 from mm-common to check for
  compiler support for C++11 and use it (-std=c++11 for current versions of g++).
  Among other reasons, this is because libsigc++ and glibmm now require C++11,
  and gmmproc generates C++11 code.

2015-06-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Update the "Menus and Toolbars" chapter

  * docs/tutorial/C/index-in.docbook: Describe how to build menus and toolbars
  with Gtk::Builder, Gio:SimpleAction and Gio::SimpleActionGroup instead of
  Gtk::UIManager, Gtk::Action and Gtk::ActionGroup.

2015-06-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  recent_files example: Add toolbar and accelerator keys

  * examples/book/recent_files/examplewindow.cc: Call set_accel_for_action().
  Add definition of toolbar to the string that Builder reads.
  * examples/book/recent_files/examplewindow.h:
  * examples/book/recent_files/main.cc: Add a RefPtr<Application>& parameter
  to ExampleWindow's constructor.

2015-06-04  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add description of the 'newin' parameter of _WRAP_PROPERTY

  * docs/tutorial/C/index-in.docbook: "The .hg and .ccg files" section:
  Add description of the 'newin' parameter of _WRAP_PROPERTY.

2015-05-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add description of the detail_name parameter in _WRAP_SIGNAL

  * docs/tutorial/C/index-in.docbook: "The .hg and .ccg files" section:
  Add description of the detail_name and two_signal_methods parameters in
  _WRAP_SIGNAL. Bug #749034.

2015-05-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Improve the description of parameters in the _WRAP macros

  * docs/tutorial/C/index-in.docbook: "The .hg and .ccg files" section:
  Note which optional parameters have a variable part, such as newin "<version>".

2015-05-12  Murray Cumming  <murrayc@murrayc.com>

  Examples: Remove some uses of GLIBMM_DEFAULT_SIGNAL_HANDLERS_ENABLED

  Because we don't use that anymore and it makes the code less clear.

2015-05-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add description of the 'newin' parameter of some _WRAP macros

  * docs/tutorial/C/index-in.docbook: "The .hg and .ccg files" section:
  Add description of the 'newin' parameter. Bug #748856.

2015-04-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add description of _IGNORE_PROPERTY and _IGNORE_CHILD_PROPERTY

  * docs/tutorial/C/index-in.docbook: "The .hg and .ccg files" section:
  Add description of _IGNORE_PROPERTY and _IGNORE_CHILD_PROPERTY.

2015-03-17  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add description of the keep_return parameter in _WRAP_VFUNC

  * docs/tutorial/C/index-in.docbook: "The .hg and .ccg files" section:
  Add description of the keep_return parameter in _WRAP_VFUNC. Bug #705124.

2015-02-27  Murray Cumming  <murrayc@murrayc.com>

  3.15.1

2015-02-21  Maria  Mavridou  <mavridou@gmail.com>

  Updated Greek translation

2015-02-11  Murray Cumming  <murrayc@murrayc.com>

  Minor corrections to stderr output.

2015-02-06  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Fix 'make check' after Widget::override_*() have been deprecated

  * examples/book/custom/custom_widget/custom_gtk.css: Add color and
  background_color.
  * examples/book/custom/custom_widget/mywidget.cc: Don't call
  Widget::override_color() and override_background_color().
  * examples/book/dialogs/colorchooserdialog/examplewindow.[cc|h]:
  * examples/book/flowbox/examplewindow.[cc|h]: Don't call
  Widget::override_background_color(). Add on_drawing_area_draw().
  * examples/others/calendar/calendar.cc: Don't call Widget::override_font().
  Add a CssProvider for setting the font.

2015-02-02  Murray Cumming  <murrayc@murrayc.com>

  ScaleButton example: Correct the use of icons.

  set_value("Some Value") was not appropriate because it wants
  to show an appropriate icon based on set_icons().

2015-02-02  Murray Cumming  <murrayc@murrayc.com>

  ScaleButton Example: Actually show the scale.

  The window must be (arbitrarily) big enough to show it.
  Otherwise we just see a little indicator arrow and the rest is
  truncated.

2015-02-02  Murray Cumming  <murrayc@murrayc.com>

  Examples: Add a VolumeButton example.

2015-01-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Insert listings of .css and .gresource.xml files

  * docs/tutorial/insert_example_code.pl: Make it possible to insert listings
  of files other than .h and .cc in the tutorial.
  * docs/tutorial/C/index-in.docbook: Insert listings of .css and
  .gresource.xml files.

2014-12-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Add the "Gio::Resource and glib-compile-resources" section

  * docs/tutorial/C/index-in.docbook: Add the "Gio::Resource and glib-compile-
  resources" section. Mention that the drawingarea/image example uses a resource
  file.

2014-12-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  drawingarea/image and menus_and_toolbars examples: Use resource files

  * configure.ac: Add check for C compiler and glib-compile-resources.
  * examples/.gitignore: Ignore resources.c.
  * examples/Makefile.am: Add make rules for the resource files.
  * examples/book/drawingarea/image/myarea.cc: Use Gdk::Pixbuf::
  create_from_resource() instead of create_from_file().
  * examples/book/drawingarea/image/image.gresource.xml: New file.
  * examples/book/menus_and_toolbars/examplewindow.cc: Use Gtk::Builder::
  add_from_resource().
  * examples/book/menus_and_toolbars/toolbar.glade:
  * examples/book/menus_and_toolbars/toolbar.gresource.xml: New files.

2014-12-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Fix 'make distcheck'

  * docs/tutorial/Makefile.am: Let yelp-tools decide when subdirectories shall
  be created. Otherwise 'make distcheck' fails. When the build directory is
  different from the source directory, yelp-tools don't expect the language
  subdirectories to be unconditionally created in the build directory.

2014-12-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Custom widget example: Use Gtk::StyleProperty

  * docs/tutorial/C/index-in.docbook: Add the "Custom Style Properties"
  subsection. In the "Contributing" chapter, update the filename
  gtkmm-tutorial-in.xml to index-in.docbook.
  * examples/book/custom/custom_widget/mywidget.[cc|h]: Use Gtk::StyleProperty
  and Gtk::CssProvider::signal_parsing_error().

2014-12-08  Murray Cumming  <murrayc@murrayc.com>

  Added a ScaleButton example.

  Just to test my corrections to its constructor.
  
  However, I don't know how it is really supposed to work.

2014-11-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Improve the UI definitions in the menu examples

  * examples/book/menus/main_menu/examplewindow.cc: Change to "requires gtk+ 3.4".
  * examples/book/menus_and_toolbars/examplewindow.cc: Add "requires gtk+ 3.4".

